# -*- coding: utf-8 -*-
###############################################################################
#   Copyright (c) 2020 Eynes S.R.L (Folco Marco)
#   License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).
###############################################################################

import logging
import datetime

from odoo import models, fields, api, _
from odoo.exceptions import ValidationError, UserError


_logger = logging.getLogger(__name__)

class ResUsers(models.Model):
    _inherit = "res.users"
    
    default_insurance_plan_id = fields.Many2one('health.insurance.plan', 'Default Plan')
    default_lot_number = fields.Many2one('lot.number','Default lot number')

    @api.onchange('default_insurance_plan_id')
    def onchange_default_insurance_plan_id(self):
        self.default_lot_number = ""
